# SPDX-FileCopyrightText: None
# SPDX-License-Identifier: CC0-1.0

Dependencies:
- 'on': ['@all']
  'require':
    'frameworks/extra-cmake-modules': '@latest-kf6'
    'frameworks/kauth': '@latest-kf6'
    'frameworks/kcodecs': '@latest-kf6'
    'frameworks/kcompletion': '@latest-kf6'
    'frameworks/kconfig': '@latest-kf6'
    'frameworks/kconfigwidgets': '@latest-kf6'
    'frameworks/kcoreaddons': '@latest-kf6'
    'frameworks/ki18n': '@latest-kf6'
    'frameworks/kio': '@latest-kf6'
    'frameworks/kitemviews': '@latest-kf6'
    'frameworks/kjobwidgets': '@latest-kf6'
    'frameworks/knotifications': '@latest-kf6'
    'frameworks/kservice': '@latest-kf6'
    'frameworks/kwidgetsaddons': '@latest-kf6'
    'frameworks/kwindowsystem': '@latest-kf6'
    'frameworks/kxmlgui': '@latest-kf6'
    'frameworks/solid': '@latest-kf6'
    'frameworks/kirigami': '@latest-kf6'
    'frameworks/kstatusnotifieritem': '@latest-kf6'
    'frameworks/kcrash': '@latest-kf6'
    'plasma/kwayland': '@same'
    'third-party/wayland': '@latest'
    'third-party/wayland-protocols': '@latest'

RuntimeDependencies:
- 'on': ['@all']
  'require':
    'frameworks/kiconthemes': '@latest-kf6' # IconDialog

Options:
  require-passing-tests-on: [ 'Linux', 'FreeBSD']
